ESG
Universes
Universes ESG Events Metrics
Get event metrics for a universe
GET
https://api.textreveal.com/v3/universes/{universe_id}/esg/events/metrics
Request
Parameters
universe_id*uuidUnique identifier of the universe.
Example: "75ebc096-749e-4b8f-b690-df13daf49c62"sector(string (operator))[]ISIC4 section code, a single letter from A to U, as returned by the
/isicroute.You can input a section code or use the following operators: eq (=), neq (≠), in, nin (not in)
Example:
Example: "eq:hello"eq:Cfor Manufacturing,in:C;Jto filter on several sections
Response
Error
Bad request
message*stringError message.
Example: "Check the errors field for more details"code*number (enum)Error code.
Values: 400reason*string (enum)Error reason.
Values: "invalid"errorsobject[]Possible error causes.
Response
{
"message": "Check the errors field for more details",
"code": 400,
"reason": "invalid",
"errors": [
{
"message": "string",
"field": "sector",
"reason": "invalid_type"
}
]
}Not found
message*stringError message.
Example: "The requested universe does not exist or is not visible to your company."code*number (enum)Error code.
Values: 404reason*string (enum)Error reason.
Values: "not_found"
Response
{
"message": "The requested universe does not exist or is not visible to your company.",
"code": 404,
"reason": "not_found"
}Generic errors are not shown, see Errors for more details.